QAsyncIO(3qt)

NAME
QAsyncIO - Encapsulates I/O asynchronicity

#include <qasyncio.h>

Inherited by QDataSink and QDataSource.

  Public Members
virtual ~QAsyncIO ()
void connect ( QObject *, const char * member )

  Protected Members
void ready ()

DESCRIPTION
Encapsulates I/O asynchronicity.

The Qt classes for asynchronous input/output provide a simple mechanism to allow large files or slow data sources to be processed without using large amounts of memory, or blocking the user interface.

This facility is used in Qt to drive animated images. See QImageConsumer.

MEMBER FUNCTION DOCUMENTATION

QAsyncIO::~QAsyncIO () [virtual]
Destructs the async IO object.

void QAsyncIO::connect ( QObject * obj, const char * member )
Ensures only one object can respond to changes in readiness.

void QAsyncIO::ready () [protected]
Derived classes should call this when they change from being unready to ready.

SEE ALSO
http://doc.trolltech.com/qasyncio.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qasyncio.3qt) and the Qt version (2.3.7).